com.tibco.tea.agent.annotations

## Annotation Type TeaParam

-     @Retention(value=RUNTIME)
       @Target(value=PARAMETER)
      public @interface TeaParam

  Annotation for the parameter of the operation. All operation parameters have to be annotated with `TeaParam` or `KeyParam` annotation.

  See Also:
    `TeaOperation`

- - ### Field Summary

    Fields
    Modifier and Type | Fields and Description
    --- | ---
    `static String` | `AGENT_DEFAULT_VALUE`
    `static String` | `ALIAS_DEFAULT_VALUE`
    `static String` | `NULL_DEFAULT_VALUE`

  - ### Required Element Summary

    Required Elements
    Modifier and Type | Required Element and Description
    --- | ---
    `String` | `name` name of the argument

  - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `String` | `alias` Set alias name for the TeaParam.
    `String` | `defaultValue` Set default value for the TeaParam.
    `String` | `description` description of the argument
    `String` | `developerNotes` Developer notes
    `com.tibco.tea.agent.internal.types.AgentParamUsage` | `usage` Set the usage for the TeaParam.

- - ### Field Detail

    - #### AGENT_DEFAULT_VALUE

          public static final String AGENT_DEFAULT_VALUE

  - - #### ALIAS_DEFAULT_VALUE

          public static final String ALIAS_DEFAULT_VALUE

  - - #### NULL_DEFAULT_VALUE

          public static final String NULL_DEFAULT_VALUE

  - ### Element Detail

    - #### name

          public abstract String name

      name of the argument

  - - #### defaultValue

          public abstract String defaultValue

      Set default value for the TeaParam. The TeaParam is optional if a default value is present. All client user interfaces will use the default value if the user does not supply the parameter value. Samples for required and optional TeaParam: 1. Required
      Returns:
        the default value
      Default:
        "AGENT_DEFAULT_VALUE"

  - - #### description

          public abstract String description

      description of the argument
      Default:
        ""

  - - #### developerNotes

          public abstract String developerNotes

      Developer notes
      Returns:
      Default:
        ""

  - - #### alias

          public abstract String alias

      Set alias name for the TeaParam. An alias allows a shell user to use either the name or the alias equivalently for a named parameter, as a convenience. Samples for how to define named only and positional only TeaParam: 1. Named parameter: in this case the 'username' and 'u' is used as the alias name:
      Returns:
        the alias name
      Default:
        "ALIAS_DEFAULT_VALUE"

  - - #### usage

          public abstract com.tibco.tea.agent.internal.types.AgentParamUsage usage

      Set the usage for the TeaParam. See `AgentParamUsage`
      Returns:
      Default:
        com.tibco.tea.agent.internal.types.AgentParamUsage.LEGACY

Copyright © 2022 TIBCO Software Inc.. All Rights Reserved.